Bug 374531 - Review Request: kdebase-runtime - K Desktop Environment - Runtime
Review Request: kdebase-runtime - K Desktop Environment - Runtime
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 07:53 EST by Rex Dieter
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-27 11:22:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Diff from the current kdebase4 specfile (5.53 KB, patch)
2007-11-16 19:39 EST, Kevin Kofler
no flags Details | Diff

  None (edit)
Comment 1 Rex Dieter 2007-11-10 08:01:56 EST
$ rpmlint kdebase-runtime-3.95.2-1.src.rpm
(clean)

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=234279
Comment 2 Rex Dieter 2007-11-10 18:38:38 EST
Now that soprano-1.97.1 is in the repo, I resubmitted as
http://koji.fedoraproject.org/koji/taskinfo?taskID=234702
Comment 3 Kevin Kofler 2007-11-16 19:39:34 EST
Created attachment 262031 [details]
Diff from the current kdebase4 specfile

I've done a diff between the already approved kdebase4 and the current
kdebase-runtime. With these as the only changes, do I really have to reverify
the entire checklist?

Just one comment, about this hunk:
-# needed for phonon-xine VideoWidget, also need xine-lib built with libxcb
support
-%if 0%{?fedora} >= 8
-BuildRequires:  libxcb-devel
-%endif
+# phonon-xine VideoWidget need xine-lib built with libxcb support
+BuildRequires: xine-lib-devel libxcb-devel

What about F7? libxcb is still not available in F7. :-( Moreover, your
xine-lib-devel BR is duplicated now, there's one just above those lines which
you haven't removed.
Comment 4 Sebastian Vahl 2007-11-16 19:58:24 EST
Just some comments about some maybe missing build requires:

# grep NOTFOUND 
BUILD/kdebase-runtime-3.96.0/i386-redhat-linux-gnu/CMakeCache.txt
CLUCENE_INCLUDE_DIR:PATH=CLUCENE_INCLUDE_DIR-NOTFOUND
CLUCENE_LIBRARY:FILEPATH=CLUCENE_LIBRARY-NOTFOUND
CLUCENE_LIBRARY_DIR:PATH=CLUCENE_LIBRARY_DIR-NOTFOUND
QT_QTMOTIF_INCLUDE_DIR:PATH=QT_QTMOTIF_INCLUDE_DIR-NOTFOUND
QT_QTMOTIF_LIBRARY:FILEPATH=QT_QTMOTIF_LIBRARY-NOTFOUND
QT_QTNSPLUGIN_INCLUDE_DIR:PATH=QT_QTNSPLUGIN_INCLUDE_DIR-NOTFOUND
QT_QTNSPLUGIN_LIBRARY:FILEPATH=QT_QTNSPLUGIN_LIBRARY-NOTFOUND
SAMBA_INCLUDE_DIR:PATH=SAMBA_INCLUDE_DIR-NOTFOUND
SAMBA_LIBRARIES:FILEPATH=SAMBA_LIBRARIES-NOTFOUND
X11_Xscreensaver_LIB:FILEPATH=X11_Xscreensaver_LIB-NOTFOUND

I'm not sure about how useful clucene-core-devel would be for the development 
platform. But for the upcoming "normal" package it would be IMHO useful.
Comment 5 Kevin Kofler 2007-11-16 20:38:20 EST
> CLUCENE_INCLUDE_DIR:PATH=CLUCENE_INCLUDE_DIR-NOTFOUND
> CLUCENE_LIBRARY:FILEPATH=CLUCENE_LIBRARY-NOTFOUND
> CLUCENE_LIBRARY_DIR:PATH=CLUCENE_LIBRARY_DIR-NOTFOUND

Missing BR clucene-core-devel.

> QT_QTMOTIF_INCLUDE_DIR:PATH=QT_QTMOTIF_INCLUDE_DIR-NOTFOUND
> QT_QTMOTIF_LIBRARY:FILEPATH=QT_QTMOTIF_LIBRARY-NOTFOUND
> QT_QTNSPLUGIN_INCLUDE_DIR:PATH=QT_QTNSPLUGIN_INCLUDE_DIR-NOTFOUND
> QT_QTNSPLUGIN_LIBRARY:FILEPATH=QT_QTNSPLUGIN_LIBRARY-NOTFOUND

I believe these are only available as a Qt Solution for commercial Qt, FindQt4 
looks for all Qt 4 modules indiscriminately of what editions they can be found 
in. So let's just ignore these.

> SAMBA_INCLUDE_DIR:PATH=SAMBA_INCLUDE_DIR-NOTFOUND
> SAMBA_LIBRARIES:FILEPATH=SAMBA_LIBRARIES-NOTFOUND

Need to readd BR libsmbclient-devel (but we need a solution for the GPL version 
conflict which is going to hit Rawhide soon, currently Rawhide still has a 
GPLv2 version).

> X11_Xscreensaver_LIB:FILEPATH=X11_Xscreensaver_LIB-NOTFOUND

Missing BR libXScrnSaver-devel.
Comment 6 Rex Dieter 2007-11-17 12:11:23 EST
re: xine+lib+libxcb on F-7, see bug #373411
Comment 7 Rex Dieter 2007-11-17 12:18:26 EST
Spec URL:
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/kdebase-runtime/kdebase-runtime.spec
SRPM URL:
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/kdebase-runtime/kdebase-runtime-3.96.0-2.src.rpm

* Sat Nov 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-2
- BR: clucene-core-devel libsmbclient-devel libXScrnSaver-devel

* Thu Nov 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-1
- kde-3.96.0
Comment 8 Rex Dieter 2007-11-17 12:38:57 EST
scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=246299
Comment 9 Kevin Kofler 2007-11-18 12:03:11 EST
The scratch build failed:
error: Installed (but unpackaged) file(s) found:
   /usr/lib/strigi/strigiindex_sopranobackend.so

This has to be added to the file list.
Comment 10 Rex Dieter 2007-11-18 16:32:19 EST
Spec URL:
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/kdebase-runtime/kdebase-runtime.spec
SRPM URL:
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/kdebase-runtime/kdebase-runtime-3.96.0-3.src.rpm

%changelog
* Sun Nov 18 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96-0-3
- fix %%files (unpackaged %%_libdir/strigi/strigiindex_sopranobackend.so)

Comment 11 Rex Dieter 2007-11-18 17:02:49 EST
kdebase-runtime-3.96.0-3 scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=247666
Comment 12 Kevin Kofler 2007-11-19 02:35:14 EST
MUST Items:
! rpmlint output:
> kdebase-runtime.i386: E: 
non-executable-script /usr/share/icons/oxygen/scalable/export_pngs.sh 0644
Upstream's fault. Should we fix this?
> kdebase-runtime.i386: W: 
hidden-file-or-dir /usr/share/kde4/apps/khelpcenter/plugins/Scrollkeeper/.directory
NOTABUG
> kdebase-runtime.i386: E: setgid-binary /usr/lib/kde4/libexec/kdesud root 
02755
> kdebase-runtime.i386: E: 
non-standard-executable-perm /usr/lib/kde4/libexec/kdesud 02755
NOTABUG, that's kinda required to make kdesu work. :-)
> kdebase-runtime.i386: W: 
hidden-file-or-dir /usr/share/kde4/apps/khelpcenter/plugins/Tutorials/.directory
> kdebase-runtime.i386: W: 
hidden-file-or-dir /usr/share/kde4/apps/khelpcenter/plugins/Applications/.directory
NOTABUG
> kdebase-runtime.i386: W: file-not-utf8 /usr/share/man/man1/kdesu.1.gz
This one is bad though. Upstream's fault, should we recode this?
> kdebase-runtime.i386: W: 
hidden-file-or-dir /usr/share/kde4/apps/khelpcenter/plugins/Manpages/.directory
NOTABUG
> kdebase-runtime.i386: W: incoherent-version-in-changelog 3.96-0-3 
3.96.0-3.fc9
NOTABUG, kinda how disttags work. :-)
> kdebase-runtime.i386: E: 
binary-or-shlib-defines-rpath /usr/lib/kde4/libexec/khc_indexbuilder 
['/usr/lib', '/usr/lib/kde4/devel']
> (and 21 more like that)
This is bad. cmake was recently changed not to define CMAKE_SKIP_RPATH anymore. 
I think we'll have to define it in the cmake_kde4 macro now (it's needed 
because of my parallel-devel hack). But I'm not going to block the review for 
that because this is cmake's and/or kde-filesystem's (and arguably kdelibs' 
because of my parallel-devel hack) fault, not kdebase-runtime's.
+ named and versioned according to the Package Naming Guidelines
+ spec file name matches base package name
+ Packaging Guidelines:
  + License GPLv2 OK, matches actual license
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
  + Complies with the FHS
  + proper changelog, tags, BuildRoot, Requires, BuildRequires, Summary, 
Description
  + no non-UTF-8 characters
  + relevant documentation (manpages) included
  + RPM_OPT_FLAGS are used (%{cmake_kde4} macro)
  + debuginfo package is valid
  + no static libraries nor .la files
  + no duplicated system libraries
  ! rpaths: see rpmlint output above
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + no end-user executables, so no .desktop file present or needed
  + no timestamp-clobbering file commands
  + _smp_mflags used
  + scriptlets are valid
  + not a web application, so web application guideline doesn't apply
  + no conflicts
+ complies with all the legal guidelines
+ license not included upstream, so can't include as %doc (see SHOULD items 
below)
+ spec file written in American English
+ spec file is legible
* skipping "source matches upstream" test as 3.96.0 is not announced yet, and I 
know Rex got it directly from the KDE release team
  For the record:
  MD5SUM: 51f9ca43f8a6f6632f774f588208268c
  SHA1SUM: f89777026cc2e20a178b4b02a068a7f06f9418e8
+ builds on at least one arch (F9 all arches Koji scratch build)
+ no non-working arches, so no ExcludeArch needed
+ all build dependencies listed in CMakeLists.txt as well as cmake itself are 
listed in BuildRequires
+ no translations in original tarball, so translation/locale guidelines don't 
apply
+ ldconfig correctly called in %post and %postun
+ package not relocatable
+ ownership correct (owns package-specific directories, doesn't own directories 
owned by another package)
+ no duplicate files in %files
! permissions: export_pngs.sh has bad permissions, see rpmlint output
+ %clean section present and correct
+ macros used where possible
+ no non-code content
+ no large documentation files, so no -doc package needed
+ no %doc files, so no possible issues with %doc files required at runtime
+ no header files
+ no static libraries, so no -static package needed
+ no .pc files, so no Requires: pkgconfig needed
+ no devel symlinks
+ /usr/lib/kde4/*.so plugins (NOT symlinks) are correctly NOT in -devel
+ no -devel package, so "-devel should require %{name} = %{version}-%{release}" 
is irrelevant
+ no .la files
+ no GUI programs, so no .desktop file needed
+ buildroot is deleted at the beginning of %install
+ all filenames are valid UTF-8

SHOULD Items:
! license not included upstream (got forgotten during the kdebase split?)
+ no translations for description and summary provided by upstream
+ package builds in mock (Koji scratch build)
+ package builds on all architectures (Koji scratch build)
* skipping functionality test for now
+ scriptlets are sane
+ no subpackages other than -devel, so "Usually, subpackages other than devel 
should require the base package using a fully versioned dependency." is 
irrelevant
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies

I'm going ahead and approving this now. However:
* the %{cmake_kde4} macro in kde-filesystem should be fixed to define 
CMAKE_SKIP_RPATH (I can do it if you agree it is the right thing to do),
* we should chmod export_pngs.sh to +x,
* we should recode kdesu.1.gz from whatever charset it is using (ISO-8859-1?) 
to UTF-8.
The first one is not kdebase-runtime's fault and has to be fixed elsewhere, 
none of the rest is critical.
APPROVED
Comment 13 Rex Dieter 2007-11-19 08:48:55 EST
New Package CVS Request
=======================
Package Name: kdebase-runtime
Short Description: Core runtime for the K Desktop Environment
Owners: than,rdieter,kkofler
Branches: F-8,F-7
Cvsextras Commits: no
Comment 14 Sebastian Vahl 2007-11-19 09:25:52 EST
Some other (maybe optional) BuildRequires. Output taken from
kdebase-runtime-3.96.0-3.src.rpm in a mock build for fedora-development-i386:

QT_QTMOTIF_INCLUDE_DIR:PATH=QT_QTMOTIF_INCLUDE_DIR-NOTFOUND
QT_QTMOTIF_LIBRARY:FILEPATH=QT_QTMOTIF_LIBRARY-NOTFOUND
QT_QTNSPLUGIN_INCLUDE_DIR:PATH=QT_QTNSPLUGIN_INCLUDE_DIR-NOTFOUND
QT_QTNSPLUGIN_LIBRARY:FILEPATH=QT_QTNSPLUGIN_LIBRARY-NOTFOUND
X11_XTest_LIB:FILEPATH=X11_XTest_LIB-NOTFOUND
X11_Xaccessrules_INCLUDE_PATH:PATH=X11_Xaccessrules_INCLUDE_PATH-NOTFOUND
X11_Xcomposite_INCLUDE_PATH:PATH=X11_Xcomposite_INCLUDE_PATH-NOTFOUND
X11_Xcomposite_LIB:FILEPATH=X11_Xcomposite_LIB-NOTFOUND
X11_Xdamage_INCLUDE_PATH:PATH=X11_Xdamage_INCLUDE_PATH-NOTFOUND
X11_Xdamage_LIB:FILEPATH=X11_Xdamage_LIB-NOTFOUND
X11_Xkbfile_INCLUDE_PATH:PATH=X11_Xkbfile_INCLUDE_PATH-NOTFOUND
X11_Xkbfile_LIB:FILEPATH=X11_Xkbfile_LIB-NOTFOUND
X11_Xpm_INCLUDE_PATH:PATH=X11_Xpm_INCLUDE_PATH-NOTFOUND
X11_Xpm_LIB:FILEPATH=X11_Xpm_LIB-NOTFOUND
X11_Xv_INCLUDE_PATH:PATH=X11_Xv_INCLUDE_PATH-NOTFOUND
X11_Xv_LIB:FILEPATH=X11_Xv_LIB-NOTFOUND
X11_Xxf86misc_LIB:FILEPATH=X11_Xxf86misc_LIB-NOTFOUND

So adding this packages as BuildRequires would fulfill this:

libXcomposite-devel
libXdamage-devel
libxkbfile-devel
libXpm-devel
libXv-devel
libXxf86misc-devel
libXtst-devel
libXScrnSaver-devel
Comment 15 Sebastian Vahl 2007-11-19 09:26:53 EST
(In reply to comment #14)
> Some other (maybe optional) BuildRequires. Output taken from
> kdebase-runtime-3.96.0-3.src.rpm in a mock build for fedora-development-i386:

Command used:
 grep NOTFOUND
/var/lib/mock/fedora-development-i386/root/builddir/build/BUILD/kdebase-runtime-3.96.0/i386-redhat-linux-gnu/CMakeCache.txt
Comment 16 Kevin Fenzi 2007-11-19 11:31:20 EST
cvs done.
Comment 17 Rex Dieter 2007-11-27 11:22:59 EST
imported, built in rawhide, thanks all.

Note You need to log in before you can comment on or make changes to this bug.